Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package html
  Definition Classes
    doc
-  package page
  Definition Classes
    html
-  package diagram
  Definition Classes
    page
- EntityPage
- IndexScript

c

scala.tools.nsc.doc.html.page

# IndexScript 

###
Companion object IndexScript

#### class IndexScript extends Page

Source
  IndexScript.scala

Linear Supertypes
Page, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IndexScript
2. Page
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new IndexScript(universe: Universe)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from IndexScript to any2stringadd[IndexScript] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (IndexScript, B)
   Implicit
     This member is added by an implicit conversion from IndexScript to ArrowAssoc[IndexScript] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def absoluteLinkTo(path: List[String]): String
   Definition Classes
     Page
7.  def allPackages: List[Package]
8.  def allPackagesWithTemplates: Map[Package, List[DocTemplateEntity]]
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def createFileOutputStream(site: HtmlFactory, suffix: String = ""): FileOutputStream
    Definition Classes
      Page
12.  def ensuring(cond: (IndexScript) ⇒ Boolean, msg: ⇒ Any): IndexScript
    Implicit
      This member is added by an implicit conversion from IndexScript to Ensuring[IndexScript] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (IndexScript) ⇒ Boolean): IndexScript
    Implicit
      This member is added by an implicit conversion from IndexScript to Ensuring[IndexScript] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): IndexScript
    Implicit
      This member is added by an implicit conversion from IndexScript to Ensuring[IndexScript] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): IndexScript
    Implicit
      This member is added by an implicit conversion from IndexScript to Ensuring[IndexScript] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from IndexScript to StringFormat[IndexScript] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hasCompanion(mbr: TemplateEntity): Boolean
    Definition Classes
      Page
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def kindToString(mbr: MemberEntity): String
    Definition Classes
      Page
25.  def memberToUrl(mbr: MemberEntity): String
26.  def membersToJSON(entities: Vector[MemberEntity], parent: DocTemplateEntity): JSONArray

    Returns the json representation of the supplied members

27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
30.  val packages: JSONObject
31.  def path: collection.immutable.List[String]

    The path of this page, relative to the API site.

    The path of this page, relative to the API site. `path.tail` is a list of folder names leading to this page (from closest package to one-above-root package), `path.head` is the file name of this page. Note that `path` has a length of at least one.

    Definition Classes
      IndexScript → Page
32.  def relativeLinkTo(destPath: List[String]): String

    A relative link from this page to some destination path.

    A relative link from this page to some destination path.

    destPath

      The path that the link will point to.

    Definition Classes
      Page
33.  def relativeLinkTo(destClass: TemplateEntity): String

    A relative link from this page to some destination class entity.

    A relative link from this page to some destination class entity.

    destClass

      The class or object entity that the link will point to.

    Definition Classes
      Page
34.  def shortDesc(mbr: MemberEntity): String

    Gets the short description i.e.

    Gets the short description i.e. the first sentence of the docstring

35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def templateToPath(tpl: TemplateEntity): List[String]
    Definition Classes
      Page
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  def writeFile(site: HtmlFactory, suffix: String = "")(fn: (Writer) ⇒ Unit): Unit
    Definition Classes
      Page
42.  def writeFor(site: HtmlFactory): Unit

    Writes this page as a file.

    Writes this page as a file. The file's location is relative to the generator's site root, and the encoding is also defined by the generator.

    site

      The generator that is writing this page.

    Definition Classes
      IndexScript → Page
43.  def →[B](y: B): (IndexScript, B)
    Implicit
      This member is added by an implicit conversion from IndexScript to ArrowAssoc[IndexScript] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Page

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from IndexScript to any2stringadd[IndexScript]

### Inherited by implicit conversion StringFormat from IndexScript to StringFormat[IndexScript]

### Inherited by implicit conversion Ensuring from IndexScript to Ensuring[IndexScript]

### Inherited by implicit conversion ArrowAssoc from IndexScript to ArrowAssoc[IndexScript]

### Ungrouped